> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Active Organization

> Set the current user's active organization.

The user must be a member of the target organization.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /users/me/active-organization
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /users/me/active-organization:
    patch:
      tags:
        - users
      summary: Update Active Organization
      description: |-
        Set the current user's active organization.

        The user must be a member of the target organization.
      operationId: update_active_organization_users_me_active_organization_patch
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateActiveOrganizationBody'
        required: true
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateActiveOrganizationBody:
      properties:
        organization_id:
          type: string
          title: Organization Id
          description: ID of the organization to set as the current user's active org.
      type: object
      required:
        - organization_id
      title: UpdateActiveOrganizationBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````